summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2010-11-23 20:56:08 +0000
committerUlrich Müller <ulm@gentoo.org>2010-11-23 20:56:08 +0000
commite56d66468d04675bef1c55147d061037c9b4b3d0 (patch)
treeb3dece6215ab70e47717f46277147d7b68f25f69 /eclass/elisp.eclass
parentRestore prefix keywords that were dropped for no reason (diff)
downloadgentoo-2-e56d66468d04675bef1c55147d061037c9b4b3d0.tar.gz
gentoo-2-e56d66468d04675bef1c55147d061037c9b4b3d0.tar.bz2
gentoo-2-e56d66468d04675bef1c55147d061037c9b4b3d0.zip
Sync eclasses from Emacs overlay (revision 1542).
elisp-common.eclass: Remove dead function elisp-comp; it has been deprecated more than two years ago in bug 235442. New function elisp-need-emacs, tests if the eselected Emacs version is at least the major version specified as argument. elisp.eclass: Use function elisp-need-emacs in elisp_pkg_setup.
Diffstat (limited to 'eclass/elisp.eclass')
-rw-r--r--eclass/elisp.eclass11
1 files changed, 2 insertions, 9 deletions
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index 306b56b8e624..825f3b6b788b 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.46 2010/09/17 07:39:58 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.47 2010/11/23 20:56:08 ulm Exp $
#
# Copyright 2002-2003 Matthew Kennedy <mkennedy@gentoo.org>
# Copyright 2003 Jeremy Maitin-Shepard <jbms@attbi.com>
@@ -79,14 +79,7 @@ IUSE=""
# version requirement of the NEED_EMACS variable.
elisp_pkg_setup() {
- local need_emacs=${NEED_EMACS:-21}
- local have_emacs=$(elisp-emacs-version)
- if [ "${have_emacs%%.*}" -lt "${need_emacs%%.*}" ]; then
- eerror "This package needs at least Emacs ${need_emacs%%.*}."
- eerror "Use \"eselect emacs\" to select the active version."
- die "Emacs version ${have_emacs} is too low."
- fi
- einfo "Emacs version: ${have_emacs}"
+ elisp-need-emacs "${NEED_EMACS:-21}" || die "Emacs version too low"
}
# @FUNCTION: elisp_src_unpack